Credentials¶
- class oci.psql.models.Credentials(**kwargs)¶
Bases:
objectInitial database system credentials that the database system will be provisioned with. The password details are not visible on any subsequent operation, such as GET /dbSystems/{dbSystemId}.
Methods:
__init__(**kwargs)Initializes a new Credentials object with values from keyword arguments.
Attributes:
[Required] Gets the password_details of this Credentials.
[Required] Gets the username of this Credentials.
- __init__(**kwargs)¶
Initializes a new Credentials object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
username (str) – The value to assign to the username property of this Credentials.
password_details (oci.psql.models.PasswordDetails) – The value to assign to the password_details property of this Credentials.
- property password_details¶
[Required] Gets the password_details of this Credentials.
- Returns
The password_details of this Credentials.
- Return type
- property username¶
[Required] Gets the username of this Credentials. The database system administrator username.
- Returns
The username of this Credentials.
- Return type
str